#! /usr/bin/env bash
# Args: <source> <version> <script> <args...>

if [ -z "$VERSIONS_OUT" ]
then
	VERSIONS_OUT=".sources"
fi

mkdir -p ".sources" &&
while read i
do
	"$3" "$i" "${@:4}" || exit "$?"
done < <("$(dirname "$0")/versions.py" -Lf "$VERSIONS_OUT" "$1" "$2")
