#! /usr/bin/env bash
# Args: <config-file> <arch> <builder-args> [<repo>]

CONFIG_DIR="$(dirname "$0")" &&
if [ -z "$4" ]; then
    exec "$CONFIG_DIR/build.sh" "$@"
else
    "$CONFIG_DIR/hash_modules.py" --require-build --installed "$1" "$2" &&
    exec "$CONFIG_DIR/build.sh" "$@"
fi

echo "No rebuild required."